Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Components::Deployment::ServerActivator Interface Reference

`import "CCM_Deployment.idl";`

List of all members.

## Public Methods
ComponentServer | create_component_server (in ConfigValues config) raises (CreateFailure, InvalidConfiguration)
void | remove_component_server (in ComponentServer server) raises (RemoveFailure)
ComponentServers | get_component_servers ()
ComponentServer | create_component_server (in ConfigValues config) raises (CreateFailure, InvalidConfiguration)
void | remove_component_server (in ComponentServer server) raises (RemoveFailure)
ComponentServers | get_component_servers ()

## Member Function Documentation

ComponentServer Components::Deployment::ServerActivator::create_component_server | ( | in ConfigValues | config | ) | raises (CreateFailure, InvalidConfiguration)

ComponentServer Components::Deployment::ServerActivator::create_component_server | ( | in ConfigValues | config | ) | raises (CreateFailure, InvalidConfiguration)

ComponentServers Components::Deployment::ServerActivator::get_component_servers | ( |  | ) |

ComponentServers Components::Deployment::ServerActivator::get_component_servers | ( |  | ) |

void Components::Deployment::ServerActivator::remove_component_server | ( | in ComponentServer | server | ) | raises (RemoveFailure)

void Components::Deployment::ServerActivator::remove_component_server | ( | in ComponentServer | server | ) | raises (RemoveFailure)

The documentation for this interface was generated from the following files:

- CCM_Deployment.idl
- Component_Base.idl